2018-07-21 00:06 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004560Kali Linux[All Projects] Kali Package Bugpublic2018-02-28 13:33
Reporterhyper 
Assigned Tosbrun 
PriorityimmediateSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version2017.3 
Target VersionFixed in Version2018.2 
Summary0004560: PROBLEM WITH INSTALLING XPLICO ON KALI LINUX
DescriptionHi please am trying to install xplico on my Kali linux 2017.3 version GNOME..KERNEL VERSION is 4.14.0-kali3-amd64 for both the image and headers.
KALI IS INSTALLED ON VMWARE WORKSTATION 14 PRO.

I updated and upgraded my Kali and i use this command for the xplico installation: sudo apt-get install xplico

which installed xplico on my kali,i started apache server since it needs that to run which i did,but when the browser came up it was blank..attached is the blank browser link i got after starting xplico https://imgur.com/a/PZNRx

Please i need help on this

This is the outputs i got from the installation below..

root@Kali:~# sudo apt-get update
root@Kali:~# sudo apt-get upgrade

root@Kali:~# sudo apt-get install xplico
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libboost-atomic1.62.0 libboost-chrono1.62.0 libboost-program-options1.62.0
  libboost-serialization1.62.0 libboost-test1.62.0 libboost-timer1.62.0
  libcaribou-gtk-module libcaribou-gtk3-module libcgal12 libevent-2.0-5
  libfreerdp-cache1.1 libfreerdp-client1.1 libfreerdp-codec1.1
  libfreerdp-common1.1.0 libfreerdp-core1.1 libfreerdp-crypto1.1 libfreerdp-gdi1.1
  libfreerdp-locale1.1 libfreerdp-primitives1.1 libfreerdp-utils1.1
  libgom-1.0-common libsfcgal1 libtxc-dxtn-s2tc libwinpr-crt0.1 libwinpr-crypto0.1
  libwinpr-dsparse0.1 libwinpr-environment0.1 libwinpr-file0.1 libwinpr-handle0.1
  libwinpr-heap0.1 libwinpr-input0.1 libwinpr-interlocked0.1 libwinpr-library0.1
  libwinpr-path0.1 libwinpr-pool0.1 libwinpr-registry0.1 libwinpr-rpc0.1
  libwinpr-sspi0.1 libwinpr-synch0.1 libwinpr-sysinfo0.1 libwinpr-thread0.1
  libwinpr-utils0.1
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  lame libndpi4 librecode0 libsox-fmt-alsa libsox-fmt-base libsox3 php-sqlite3
  php7.2-common php7.2-sqlite3 recode sox
Suggested packages:
  lame-doc libsox-fmt-all
The following NEW packages will be installed:
  lame libndpi4 librecode0 libsox-fmt-alsa libsox-fmt-base libsox3 php-sqlite3
  php7.2-common php7.2-sqlite3 recode sox xplico
0 upgraded, 12 newly installed, 0 to remove and 217 not upgraded.
Need to get 4,456 kB of archives.
After this operation, 21.6 MB of additional disk space will be used.
Do you want to continue? [Y/n] yy
Get:1 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 lame amd64 3.100-2 [280 kB]
Get:2 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 libndpi4 amd64 1.8-1 [118 kB]
Get:3 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 librecode0 amd64 3.6-23 [532 kB]
Get:4 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 libsox3 amd64 14.4.2-3 [264 kB]
Get:5 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 libsox-fmt-alsa amd64 14.4.2-3 [51.3 kB]
Get:6 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 libsox-fmt-base amd64 14.4.2-3 [72.8 kB]
Get:7 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 php7.2-common amd64 7.2.2-1 [902 kB]
Get:8 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 php7.2-sqlite3 amd64 7.2.2-1 [25.4 kB]
Get:9 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 php-sqlite3 all 1:7.2+60 [5,676 B]
Get:10 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 recode amd64 3.6-23 [193 kB]
Get:11 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 sox amd64 14.4.2-3 [142 kB]
Get:12 [url]http://kali-za.bitcrack.net/kali[/url] kali-rolling/main amd64 xplico amd64 1.2.1-0kali1 [1,870 kB]
Fetched 4,456 kB in 1min 29s (50.0 kB/s)
Selecting previously unselected package lame.
(Reading database ... 340434 files and directories currently installed.)
Preparing to unpack .../00-lame_3.100-2_amd64.deb ...
Unpacking lame (3.100-2) ...
Selecting previously unselected package libndpi4.
Preparing to unpack .../01-libndpi4_1.8-1_amd64.deb ...
Unpacking libndpi4 (1.8-1) ...
Selecting previously unselected package librecode0:amd64.
Preparing to unpack .../02-librecode0_3.6-23_amd64.deb ...
Unpacking librecode0:amd64 (3.6-23) ...
Selecting previously unselected package libsox3:amd64.
Preparing to unpack .../03-libsox3_14.4.2-3_amd64.deb ...
Unpacking libsox3:amd64 (14.4.2-3) ...
Selecting previously unselected package libsox-fmt-alsa:amd64.
Preparing to unpack .../04-libsox-fmt-alsa_14.4.2-3_amd64.deb ...
Unpacking libsox-fmt-alsa:amd64 (14.4.2-3) ...
Selecting previously unselected package libsox-fmt-base:amd64.
Preparing to unpack .../05-libsox-fmt-base_14.4.2-3_amd64.deb ...
Unpacking libsox-fmt-base:amd64 (14.4.2-3) ...
Selecting previously unselected package php7.2-common.
Preparing to unpack .../06-php7.2-common_7.2.2-1_amd64.deb ...
Unpacking php7.2-common (7.2.2-1) ...
Selecting previously unselected package php7.2-sqlite3.
Preparing to unpack .../07-php7.2-sqlite3_7.2.2-1_amd64.deb ...
Unpacking php7.2-sqlite3 (7.2.2-1) ...
Selecting previously unselected package php-sqlite3.
Preparing to unpack .../08-php-sqlite3_1%3a7.2+60_all.deb ...
Unpacking php-sqlite3 (1:7.2+60) ...
Selecting previously unselected package recode.
Preparing to unpack .../09-recode_3.6-23_amd64.deb ...
Unpacking recode (3.6-23) ...
Selecting previously unselected package sox.
Preparing to unpack .../10-sox_14.4.2-3_amd64.deb ...
Unpacking sox (14.4.2-3) ...
Selecting previously unselected package xplico.
Preparing to unpack .../11-xplico_1.2.1-0kali1_amd64.deb ...
Unpacking xplico (1.2.1-0kali1) ...
Setting up libndpi4 (1.8-1) ...
Setting up php7.2-common (7.2.2-1) ...

Creating config file /etc/php/7.2/mods-available/calendar.ini with new version

Creating config file /etc/php/7.2/mods-available/ctype.ini with new version

Creating config file /etc/php/7.2/mods-available/exif.ini with new version

Creating config file /etc/php/7.2/mods-available/fileinfo.ini with new version

Creating config file /etc/php/7.2/mods-available/ftp.ini with new version

Creating config file /etc/php/7.2/mods-available/gettext.ini with new version

Creating config file /etc/php/7.2/mods-available/iconv.ini with new version

Creating config file /etc/php/7.2/mods-available/pdo.ini with new version

Creating config file /etc/php/7.2/mods-available/phar.ini with new version

Creating config file /etc/php/7.2/mods-available/posix.ini with new version

Creating config file /etc/php/7.2/mods-available/shmop.ini with new version

Creating config file /etc/php/7.2/mods-available/sockets.ini with new version

Creating config file /etc/php/7.2/mods-available/sysvmsg.ini with new version

Creating config file /etc/php/7.2/mods-available/sysvsem.ini with new version

Creating config file /etc/php/7.2/mods-available/sysvshm.ini with new version

Creating config file /etc/php/7.2/mods-available/tokenizer.ini with new version
Setting up php7.2-sqlite3 (7.2.2-1) ...

Creating config file /etc/php/7.2/mods-available/sqlite3.ini with new version

Creating config file /etc/php/7.2/mods-available/pdo_sqlite.ini with new version
Processing triggers for mime-support (3.60) ...
Setting up lame (3.100-2) ...
Processing triggers for libc-bin (2.24-17) ...
Setting up librecode0:amd64 (3.6-23) ...
Processing triggers for systemd (235-2) ...
Processing triggers for man-db (2.7.6.1-2) ...
Setting up libsox3:amd64 (14.4.2-3) ...
Setting up php-sqlite3 (1:7.2+60) ...
Setting up libsox-fmt-base:amd64 (14.4.2-3) ...
Setting up recode (3.6-23) ...
Setting up libsox-fmt-alsa:amd64 (14.4.2-3) ...
Setting up sox (14.4.2-3) ...
Setting up xplico (1.2.1-0kali1) ...
Enabling module rewrite.
To activate the new configuration, you need to run:
  systemctl restart apache2
Module mpm_event already disabled
Considering conflict mpm_event for mpm_prefork:
Considering conflict mpm_worker for mpm_prefork:
Module mpm_prefork already enabled
update-rc.d: We have no instructions for the xplico init script.
update-rc.d: It looks like a network service, we disable it.
Processing triggers for libc-bin (2.24-17) ...
Processing triggers for systemd (235-2) ...
Attached Files

-Relationships
+Relationships

-Notes

~0008827

sbrun (manager)

fixed in new version 1.2.1-0kali2
+Notes

-Issue History
Date Modified Username Field Change
2018-02-24 22:33 hyper New Issue
2018-02-24 22:33 hyper File Added: xplico.PNG
2018-02-27 20:34 sbrun Assigned To => sbrun
2018-02-27 20:34 sbrun Status new => assigned
2018-02-28 13:33 sbrun Status assigned => resolved
2018-02-28 13:33 sbrun Resolution open => fixed
2018-02-28 13:33 sbrun Fixed in Version => 2018.2
2018-02-28 13:33 sbrun Note Added: 0008827
+Issue History